Bug 232481 - mail/opendkim: Fails to build with LibreSSL 2.8.2
Summary: mail/opendkim: Fails to build with LibreSSL 2.8.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-20 17:12 UTC by Simeon Simeonov
Modified: 2018-10-27 02:06 UTC (History)
3 users (show)

See Also:
freebsd-ports: maintainer-feedback+


Attachments
fix build with libressl (818 bytes, patch)
2018-10-20 18:12 UTC, Daniel Austin
freebsd-ports: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Simeon Simeonov 2018-10-20 17:12:23 UTC
The LibreSSL port was upgraded today from 2.7.4 to 2.8.2


The opendkim build started failing with:

libtool: link: cc -D_THREAD_SAFE -pthread -O2 -pipe -fno-strict-aliasing -fstack-protector -D_THREAD_SAFE -pthread -Wl,-rpath -Wl,/usr/local/lib -fstack-protector -o .libs/opendkim-testkey opendkim_testkey-config.o opendkim_testkey-opendkim-crypto.o opendkim_testkey-opendkim-db.o opendkim_testkey-opendkim-dns.o opendkim_testkey-opendkim-lua.o opendkim_testkey-opendkim-testkey.o opendkim_testkey-util.o  -L/usr/local/lib ../libopendkim/.libs/libopendkim.so -lunbound -lssl -lcrypto -pthread -Wl,-rpath -Wl,/usr/local/lib
opendkim_testkey-opendkim-crypto.o: In function `dkimf_crypto_free_id':
opendkim-crypto.c:(.text+0x133): undefined reference to `OPENSSL_thread_stop'
opendkim_testkey-opendkim-crypto.o: In function `dkimf_crypto_free':
opendkim-crypto.c:(.text+0x393): undefined reference to `OPENSSL_thread_stop'
cc: error: linker command failed with exit code 1 (use -v to see invocation)
*** [opendkim-testkey] Error code 1


The only port options enabled are:
FILTER=on
JANSSON=on
UNBOUND=on
Comment 1 Daniel Austin 2018-10-20 18:12:13 UTC
Created attachment 198410 [details]
fix build with libressl

Fix building with libressl (this was broken when applying fixes to build with OpenSSL 1.1.x)
Comment 2 Simeon Simeonov 2018-10-24 07:19:09 UTC
It works great for me.
Still awaiting approval though.
Comment 3 Dean E. Weimer 2018-10-25 13:45:09 UTC
(In reply to Daniel Austin from comment #1)

I can confirm it worked on my systems as well.
Comment 4 commit-hook freebsd_committer 2018-10-27 02:05:11 UTC
A commit references this bug:

Author: swills
Date: Sat Oct 27 02:05:02 UTC 2018
New revision: 483096
URL: https://svnweb.freebsd.org/changeset/ports/483096

Log:
  mail/opendkim: Fix build with LibreSSL 2.8.2

  PR:		232481
  Submitted by:	Daniel Austin <freebsd-ports@dan.me.uk> (maintainer)
  Reported by:	Simeon Simeonov <blackmore@pichove.org>

Changes:
  head/mail/opendkim/files/patch-opendkim_opendkim-crypto.c
Comment 5 Steve Wills freebsd_committer 2018-10-27 02:06:10 UTC
Committed, thanks!